import static java.lang.StackWalker.Option.RETAIN_CLASS_REFERENCE;

public class SWDemo
{
   public static void main(String[] args)
   {
      a();
   }

   public static void a()
   {
      b();
   }

   public static void b()
   {
      c();
   }

   public static void c()
   {
      StackWalker sw = StackWalker.getInstance(RETAIN_CLASS_REFERENCE);
      sw.forEach(f-> 
                 {
                    System.out.printf("Bytecode index: %d%n", 
                                      f.getByteCodeIndex());
                    System.out.printf("Class name: %s%n", 
                                      f.getClassName());
                    System.out.printf("Declaring class: %s%n", 
                                      f.getDeclaringClass());
                    System.out.printf("File name: %s%n", 
                                      f.getFileName());
                    System.out.printf("Is native: %b%n", 
                                      f.isNativeMethod());
                    System.out.printf("Line number: %d%n", 
                                      f.getLineNumber());
                    System.out.printf("Method name: %s%n%n", 
                                      f.getFileName());
                 });
   }
}